<?php

// use Illuminate\Http\Request;
// use Illuminate\Support\Facades\Route;

use App\Http\Controllers\API\AuthController;
use App\Http\Controllers\API\PresenceController;
use App\Http\Controllers\API\CalendartipyanController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;


// Route::get('get-company_updated/{date_up}', [CalendartipyanController::class, 'getBoycottCompany']);

Route::prefix('v1')->group(function () {

     Route::post('addNewBoycott', [CalendartipyanController::class, 'addNewBoycott']);
    Route::get('get-date/{date?}', [CalendartipyanController::class, 'getDate']);
    Route::get('get-calendar/{date?}', [CalendartipyanController::class, 'getCalendar']);
    Route::get('get-prayer/{date_up?}', [CalendartipyanController::class, 'getPrayer']);
    Route::get('get-location/{date?}', [CalendartipyanController::class, 'getLocation']);
    Route::get('get-calendarhijri/{date?}', [CalendartipyanController::class, 'getCalendarHijri']);
    Route::get('get-boycott/{date?}', [CalendartipyanController::class, 'getBoycott']);
    Route::get('get-boycott_company/{date_up?}', [CalendartipyanController::class, 'getboycott_company']);
    Route::get('get-boycott_category/{date?}', [CalendartipyanController::class, 'getboycott_category']);
    Route::get('get-event/{date?}', [CalendartipyanController::class, 'getEvent']);
    Route::get('get-phrases/{date?}', [CalendartipyanController::class, 'getPhrases']);

  });

// Route::prefix('auth')->group(function () {
//         Route::post('login', [AuthController::class, 'login']);
//     });
//     Route::middleware('auth:sanctum')->group(function () {
//         Route::get('auth/logout', [AuthController::class, 'logout']);

//         Route::prefix('presences')->group(function () {
//             Route::get('get-data', [PresenceController::class, 'getData']);
//             Route::get('get-data/{presence}', [PresenceController::class, 'getPresenceById']);
//             Route::post('store', [PresenceController::class, 'createPresence']);
//             Route::get('count', [PresenceController::class, 'countPresences']);
//         });
//     });
// });

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
