<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Phrases extends Model
{
    use HasFactory;

    use SoftDeletes;
    protected $hidden = ['created_at', 'updated_at'];


                    // title
    // details
    // said
    // date
    // title_en
    // details_en
    // said_en
    // show_before
    // show_hijris
    // day
    // month
    // show_alert
    // show_alert_time_in

    public function scopeFilter($query, array $filters)
    {
        $query->when($filters['search'] ?? null, function ($query, $search) {
            $query->where(function ($query) use ($search) {
                $query->where('id', 'like', '%' . $search . '%')
                ->orWhere('title', 'like', '%' . $search . '%')
                ->orWhere('details', 'like', '%' . $search . '%')
                ->orWhere('date_said', 'like', '%' . $search . '%')
                ->orWhere('said', 'like', '%' . $search . '%');
            });
        });
    }
}
