<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePrayerTimesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
           // locations_id
        // month
        // day
        // fajr
        // duhur
        // asr
        // maghrib
        // isha
        // amsek
        // tsph
        // sunrise
    public function up()
    {
        Schema::create('prayer_times', function (Blueprint $table) {
            $table->id();
           $table->integer("user_id")->nullable();
            // $table->date('date')->primary();
            // $table->date('date');
            $table->unsignedBigInteger('locations_id');
            $table->foreign('locations_id')->references('id')->on('locations')->onDelete('cascade');
            $table->integer('month');
            $table->integer('day');
            $table->time('fajr');
            $table->time('duhur');
            $table->time('asr');
            $table->time('maghrib');
            $table->time('isha');
            $table->time('amsek');
            $table->time('tsph');
            $table->time('sunrise');
            $table->boolean('active')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prayer_times');
    }
}
