<?php
namespace Database\Seeders;
use App\Models\Location;
use Illuminate\Database\Seeder;
class LocationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */


    public function run()
    {
        Location::insert([

            [
                'id' => 1,
                'name' => 'صنعاء',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
                //  'updated_at' => '2024-04-29 16:23:13',
             ],
            [
                'id' => 2,
                'name' => 'عدن',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
            [
                'id' => 3,
                'name' => 'صعدة',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
            [
                'id' => 4,
                'name' => 'حضرموت - المكلا',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
            [
                'id' => 5,
                'name' => 'تعز',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
             [
                 'id' => 6,
                 'name' => 'عمران',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
             [
                 'id' => 7,
                 'name' => 'إب - المدينة',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],

             [
                 'id' => 8,
                 'name' => 'الحديدة - المدينة',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
            [
                'id' => 9,
                'name' => 'مأرب',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
            [
                'id' => 10,
                'name' => 'حجة - المدينة',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
            [
                'id' => 11,
                'name' => 'المحويت',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],

             [
                 'id' => 12,
                 'name' => 'ذمار',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
            [
                'id' => 13,
                'name' => 'البيضاء - المدينة',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],

            [
                'id' => 14,
                'name' => 'الجوف',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
             [
                 'id' => 15,
                 'name' => 'ريمة',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
             [
                 'id' => 16,
                 'name' => 'الضالع',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
            [
                'id' => 17,
                'name' => 'لحج',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
             [
                 'id' => 18,
                 'name' => 'شبوة',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
              [
                  'id' => 19,
                  'name' => 'أبين - زنجبار',
                   'name_en' => 'ss',
                   'code' => '01',
                   'latitude' => '-6.91748',
                   'longitude' => '107.61942',
               ],
            [
                'id' => 20,
                'name' => 'المهرة',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
             [
                 'id' => 21,
                 'name' => 'سقطرى',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
              [
          'id' => 401,
          'name' => 'حضرموت - سيئون',
           'name_en' => 'ss',
           'code' => '01',
           'latitude' => '-6.91748',
           'longitude' => '107.61942',
       ],
       [
   'id' => 402,
   'name' => 'حضرموت - تريم',
    'name_en' => 'ss',
    'code' => '01',
    'latitude' => '-6.91748',
    'longitude' => '107.61942',
],
             [
                 'id' => 701,
                 'name' => 'إب - ذي السفال ',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
                       [
                'id' => 801,
                'name' => 'الحديدة - زبيد ',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
            [
                'id' => 802,
                'name' => 'الحديدة - المراوعة ',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
                    [
                'id' => 803,
                'name' => 'الحديدة - بيت الفقية',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
             [
                 'id' => 804,
                 'name' => 'الحديدة - باجل',
                  'name_en' => 'ss',
                  'code' => '01',
                  'latitude' => '-6.91748',
                  'longitude' => '107.61942',
              ],
            [
                'id' => 1001,
                'name' => 'حجة - عبس',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
           [
            'id' => 1301,
            'name' => 'البيضاء - رداع',
             'name_en' => 'ss',
             'code' => '02',
             'latitude' => '-6.91748',
             'longitude' => '107.61942',
         ],
            [
                'id' => 1901,
                'name' => 'أبين - جعار',
                 'name_en' => 'ss',
                 'code' => '01',
                 'latitude' => '-6.91748',
                 'longitude' => '107.61942',
             ],
        ]);
    }
}

