<?php

namespace Database\Seeders;

use App\Models\Phrases;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;


// Event
// Phrases
class PhrasesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
//  DB::table('phrases')->truncate();
//  Phrases::truncate();
 $csvData = fopen(base_path('database/phrases2.csv'), 'r');
 $transRow = true;
 while (($data = fgetcsv($csvData, 5555, ';')) !== false) {
     if (!$transRow) {
        Phrases::create([
            // dd( $data[2]),
               'title' => $data[7],
               'details' =>  $data[6],

            //    'said' => $data[4],
               'day'=> $data[3],//  $data[0]->format('d'),,//date('m', $data[0]),
               'month' => $data[4],// $data[0]->format('m'),,// date('m', $data[0]),
               'show_before' => 1,
               'show_hijris' => 0,
               // dd( $data[0]),

         ]);
         Phrases::create([
            'title' => $data[8] ,
            'details' => $data[9] ,

            'said' => $data[12],
            'day' => $data[3],//  $data[0]->format('d'),// Carbon::parse($data[2])->isoFormat('HH:mm'),// date('m', $data[0]),
            'month' => $data[4],// $data[0]->format('m'),
            'show_before' => 0,
            'show_hijris' => 0,
      ]);
     }
     $transRow = false;
 }
 fclose($csvData);

        // Phrases::insert([
        //     [
        //         'title' => ' كلمات من نور',
        //         'details' => '"اقرأوا هذه الوثيقة [وثيقة المدينة المنورة]؛ لن تجدوا فيها مصالحة مع اليهود؛ إنما باعتبارهم حلفاء لمن داخل المدينة من أوس أو خزرج أو أشخاص من كبارهم، يسري على اليهود ما يسري على حلفائهم.  وهذا شيء طبيعي في المواثيق، وفي المعاهدات العربية؛ أنه يسري على الأولياء- الذين يسمونهم وَلِي آل فلان أو حليف آل فلان - يسري عليهم ما يسري على من هو في حلفه أو في ولائه، أو في معاهدةٍ معه."',
        //         'said' => '  السيد القائد عبدالملك بدر الدين الحوثي  ',
        //         'date_said' => 'كلمة بمناسبة يوم القدس العالمي (1441هـ)',
        //         'show_before' => 0,
        //         'show_hijris' => 1,
        //         'day' => 1,
        //         'month' => 1,
        //         'show_alert' => 0,
        //         // 'show_alert_time_in' => '',
        //     ],

        //     [
        //         'title' => 'القول السديد',
        //         'details' => '"يحتاج الإخلاص لله إلى حماية، إلى محافظة، إلى استمرارية، أن يبقى دائمًا في كل المراحل همّك هو مرضاة الله تعالى، أن يرضى عنك، أن يتقبل منك عملك، ما تريده منه، تريد الخير، تريده منه، تريد العزة، تريدها منه هو ""سبحانه وتعالى""، هو الذي يعطي العزة، بيده الخير كله، فلا تتوجه آمالك ورغباتك إلى الناس من خلال ما تعمل، هذا له تأثيره السيئ جدًا."',
        //         'said' => ' السيد القائد عبدالملك بدر الدين الحوثي ',
        //         'date_said' => 'المحاضرة الرمضانية (14) - (1443هـ)',
        //         'show_before' => 0,
        //         'show_hijris' => 1,
        //         'day' => 2,
        //         'month' => 1,
        //         'show_alert' => 0,
        //         // 'show_alert_time_in' => '05:00:00',
        //     ],

        //     [
        //         'title' => 'القول السديد',
        //         'details' => '{بِّسۡمِ ٱللَّهِ ٱلرَّحۡمَٰنِ ٱلرَّحِيمِ إِنَّآ أَنزَلۡنَٰهُ فِي لَيۡلَةِ ٱلۡقَدۡرِ}',
        //         'said' => ' السيد القائد عبدالملك بدر الدين الحوثي ',
        //         'date_said' => 'المحاضرة الرمضانية (14) - (1443هـ)',
        //         'show_before' => 1,
        //         'show_hijris' => 1,
        //         'day' => 2,
        //         'month' => 1,
        //         'show_alert' => 1,
        //         // 'show_alert_time_in' => '05:00:00',
        //     ],

        // ]);
    }
}
